petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelGetDefaultValue

Get the default value returned by DMLabelGetValue() if a point has not been explicitly given a value. When a label is created, it is initialized to -1.

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetDefaultValue(DMLabel label, PetscInt *defaultValue)

Not collective

### Input parameter

label -a DMLabel object

### Output parameter

defaultValue -the default value

### See Also

DMLabelSetDefaultValue(), DMLabelGetValue(), DMLabelSetValue()

### Level

beginner

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages